fields

## Class MField

- java.lang.Object
- - fields.MField

- All Implemented Interfaces:
    Field

      public class MField
      extends java.lang.Object
      implements Field

  Model for the WM-Bus M-Field
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Byte[]` | `manID`
    `private java.lang.String` | `manufacturer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MField()`
    `MField(java.lang.Byte[] bytes)`
    `MField(java.lang.String manID)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Byte>` | `getBytes()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
    `java.util.List<java.lang.Byte>` | `getBytesInTxOrder()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.
    `java.lang.Byte[]` | `getManID()`
    `java.lang.String` | `getManufacturer()`
    `static java.lang.Byte[]` | `manIdToHex(java.lang.String manID)` Converts given manufacturer ID or manufacturer 3-letter code to bytes by the algorithm specified in Wireless M-Bus.
    `void` | `setManID(java.lang.Byte[] manID)`
    `void` | `setManID(java.lang.String manufacturer)`
    `static boolean` | `validateManID(java.lang.String manID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### manID

          private java.lang.Byte[] manID

    - #### manufacturer

          private java.lang.String manufacturer

  - ### Constructor Detail

    - #### MField

          public MField()

    - #### MField

          public MField(java.lang.Byte[] bytes)

    - #### MField

          public MField(java.lang.String manID)

  - ### Method Detail

    - #### getBytes

          public java.util.List<java.lang.Byte> getBytes()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
      Specified by:
        `getBytes` in interface `Field`
      Returns:
        List of Bytes representing this field, MSB first

    - #### getBytesInTxOrder

          public java.util.List<java.lang.Byte> getBytesInTxOrder()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.
      Specified by:
        `getBytesInTxOrder` in interface `Field`
      Returns:
        List of Bytes representing this field, LSB first

    - #### getManID

          public java.lang.Byte[] getManID()

    - #### getManufacturer

          public java.lang.String getManufacturer()

    - #### manIdToHex

          public static java.lang.Byte[] manIdToHex(java.lang.String manID)

      Converts given manufacturer ID or manufacturer 3-letter code to bytes by the algorithm specified in Wireless M-Bus.
      Parameters:
        `manID` - manufacturer ID to convert
      Returns:
        given manufacturer ID in Byte[ ]

    - #### setManID

          public void setManID(java.lang.Byte[] manID)

    - #### setManID

          public void setManID(java.lang.String manufacturer)

    - #### validateManID

          public static boolean validateManID(java.lang.String manID)